#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgsf
Version		:	1.14.53
Release		:	17.2.0.rel%{?dist}
Summary		:	Library used for providing an extensible input/output abstraction layer for structured file formats.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://ftp.acc.umu.se/pub/gnome/sources/libgsf
			#http://www.gnome.org/projects/libgsf/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	libxml2
BuildRequires	:	glib-devel
BuildRequires	:	gtk-doc
BuildRequires	:	intltool
BuildRequires	:	python3-Pygments
#-----------------------------------------------------------------------------
%description
The project aims to provide an efficient extensible i/o abstraction for
dealing with different structured file formats.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define	maxjob %(/usr/bin/getconf _NPROCESSORS_ONLN)

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%{maxjob}
make %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_bindir}/gsf
%{_bindir}/gsf-*
%{_includedir}/%{name}-1/gsf/gsf.h
%{_includedir}/%{name}-1/gsf/gsf-*.h
%{_libdir}/%{name}-1.{la,so*}
%{_libdir}/pkgconfig/%{name}-1.pc
%{_datadir}/gtk-doc/html/gsf/*.{html,png}
%{_datadir}/gtk-doc/html/gsf/style.css
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/thumbnailers/gsf-*.thumbnailer
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
